Bug 258076

Summary: net-mgmt/zabbix5-agent: Installation does not provide a complete setup
Product: Ports & Packages Reporter: Michael Osipov <michael.osipov>
Component: Individual Port(s)Assignee: Juraj Lutter <otis>
Status: Closed FIXED    
Severity: Affects Some People CC: michael.osipov, otis, pg
Priority: --- Flags: bugzilla: maintainer-feedback? (pg)
Version: Latest   
Hardware: Any   
OS: Any   

Description Michael Osipov 2021-08-27 07:28:50 UTC
After the agent installation I have noticed that some tasks still need to be performed by the admin which could be done by the port directly:
* No zabbix_agentd.conf is derived from zabbix_agentd.conf.sample. One needs to do this manually, pkg-plist can do this for us. On deinstall the system won't tell that this file is stale.
* PidFile is set to /var/run/zabbix/zabbix_agentd.pid, but /var/run/zabbix/ does not exist. It should be created by pkg-plist and owned by zabbix:zabbix.
* LogFile should point to /var/log/zabbix/{filename} where /var/log/zabbix/ should be created by the port with appropriate ownership.
Comment 1 Juraj Lutter freebsd_committer 2021-09-05 20:19:35 UTC
review D31845
Comment 2 commit-hook freebsd_committer 2021-09-06 10:00:19 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=992c97efcfebe3849d2c5d352beb34d5ef06ad76

commit 992c97efcfebe3849d2c5d352beb34d5ef06ad76
Author:     Juraj Lutter <otis@FreeBSD.org>
AuthorDate: 2021-09-06 09:21:58 +0000
Commit:     Juraj Lutter <otis@FreeBSD.org>
CommitDate: 2021-09-06 09:59:38 +0000

    net-mgmt/zabbix54: Improve pid and log file handling

    - Provide correct sample config files
    - Put pid file under /var/run/zabbix and default log
      file into /var/log/zabbix directory. Create the directories
      as needed.
    - Bump PKGREVISION for agent, proxy and server components only.

    PR:             258076

 net-mgmt/zabbix54-frontend/Makefile             |  1 +
 net-mgmt/zabbix54-java/Makefile                 |  1 +
 net-mgmt/zabbix54-server/Makefile               |  2 +-
 net-mgmt/zabbix54-server/files/pkg-message.in   |  3 +++
 net-mgmt/zabbix54-server/files/zabbix_agentd.in | 15 +++++++++------
 net-mgmt/zabbix54-server/files/zabbix_proxy.in  | 15 +++++++++------
 net-mgmt/zabbix54-server/files/zabbix_server.in | 15 +++++++++------
 net-mgmt/zabbix54-server/pkg-plist              |  2 +-
 net-mgmt/zabbix54-server/pkg-plist.agent        |  2 +-
 9 files changed, 35 insertions(+), 21 deletions(-)
Comment 3 Michael Osipov 2021-09-06 10:08:02 UTC
Thank you for making this happen so fast.
Comment 4 Juraj Lutter freebsd_committer 2021-09-06 10:12:51 UTC
net-mgmt/zabbix5 is still waiting for maintainer feedback.

Once approved, this change will also be applied to net-mgmt/zabbix5 ports.
Comment 5 commit-hook freebsd_committer 2021-09-19 21:15:21 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=eeb45e075e420a95a42f6022113cd58ee6b833fa

commit eeb45e075e420a95a42f6022113cd58ee6b833fa
Author:     Juraj Lutter <otis@FreeBSD.org>
AuthorDate: 2021-09-05 15:11:28 +0000
Commit:     Juraj Lutter <otis@FreeBSD.org>
CommitDate: 2021-09-19 21:14:01 +0000

    net-mgmt/zabbix5-server: Update to 5.0.15

    Summary:
    - Update to 5.0.15
    - Reformat a bit according to portclippy and portfmt
    - Rework pidfile and logfile handling (now under /var/{run,log}/zabbix)
    - Provide sample config for agentd
    - Changelog: https://www.zabbix.com/rn/rn5.0.15

    PR:             258076
    Reviewed by:    pg@pakhom.spb.ru (maintainer)
    Differential Revision: https://reviews.freebsd.org/D31845

 net-mgmt/zabbix5-frontend/Makefile             | 21 ++++++++++-----------
 net-mgmt/zabbix5-java/Makefile                 |  7 ++++---
 net-mgmt/zabbix5-proxy/Makefile                |  2 +-
 net-mgmt/zabbix5-server/Makefile               |  8 +++++++-
 net-mgmt/zabbix5-server/distinfo               |  6 +++---
 net-mgmt/zabbix5-server/files/pkg-message.in   |  3 +++
 net-mgmt/zabbix5-server/files/zabbix_agentd.in | 15 +++++++++------
 net-mgmt/zabbix5-server/files/zabbix_proxy.in  | 15 +++++++++------
 net-mgmt/zabbix5-server/files/zabbix_server.in | 15 +++++++++------
 net-mgmt/zabbix5-server/pkg-plist              |  2 +-
 net-mgmt/zabbix5-server/pkg-plist.agent        |  2 +-
 net-mgmt/zabbix5-server/pkg-plist.frontend     |  6 ++++--
 12 files changed, 61 insertions(+), 41 deletions(-)
Comment 6 Juraj Lutter freebsd_committer 2021-09-19 21:16:48 UTC
Committed, thanks.
Comment 7 commit-hook freebsd_committer 2021-09-19 21:23:22 UTC
A commit in branch 2021Q3 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=eb3a6ee84e29250c3452ddd2ff7cc48ba8e51390

commit eb3a6ee84e29250c3452ddd2ff7cc48ba8e51390
Author:     Juraj Lutter <otis@FreeBSD.org>
AuthorDate: 2021-09-05 15:11:28 +0000
Commit:     Juraj Lutter <otis@FreeBSD.org>
CommitDate: 2021-09-19 21:22:36 +0000

    net-mgmt/zabbix5-server: Update to 5.0.15

    Summary:
    - Update to 5.0.15
    - Reformat a bit according to portclippy and portfmt
    - Rework pidfile and logfile handling (now under /var/{run,log}/zabbix)
    - Provide sample config for agentd
    - Changelog: https://www.zabbix.com/rn/rn5.0.15

    PR:             258076
    Reviewed by:    pg@pakhom.spb.ru (maintainer)
    Differential Revision: https://reviews.freebsd.org/D31845

    (cherry picked from commit eeb45e075e420a95a42f6022113cd58ee6b833fa)

 net-mgmt/zabbix5-frontend/Makefile             | 21 ++++++++++-----------
 net-mgmt/zabbix5-java/Makefile                 |  7 ++++---
 net-mgmt/zabbix5-proxy/Makefile                |  2 +-
 net-mgmt/zabbix5-server/Makefile               |  8 +++++++-
 net-mgmt/zabbix5-server/distinfo               |  6 +++---
 net-mgmt/zabbix5-server/files/pkg-message.in   |  3 +++
 net-mgmt/zabbix5-server/files/zabbix_agentd.in | 15 +++++++++------
 net-mgmt/zabbix5-server/files/zabbix_proxy.in  | 15 +++++++++------
 net-mgmt/zabbix5-server/files/zabbix_server.in | 15 +++++++++------
 net-mgmt/zabbix5-server/pkg-plist              |  2 +-
 net-mgmt/zabbix5-server/pkg-plist.agent        |  2 +-
 net-mgmt/zabbix5-server/pkg-plist.frontend     |  6 ++++--
 12 files changed, 61 insertions(+), 41 deletions(-)